<?php
/*
# Somon Ashuraliev 
# WapElita.Ru
*/

# Заголовок>Функции>Шапка
$title = 'Перевод стронгов';
require_once ('../system/function.php');
require_once ('../system/header.php');

# закрываем от гостей
if(!$user['id']) exit(header('Location: '.$HOME));

$id = abs(intval($_GET['id']));
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

if($ank == 0) $err = 'Такого пользователя не существует!';
if($id == $user['id']) $err = 'Вы не можете самому себе перевисти стронги!';
if($user['money'] == 0) $err = 'У вас нет стронгов!';

if($err) {
echo err($title, $err);
require_once ('../system/footer.php'); exit;
} 

echo '<div class="title"><a href="'.$HOME.'/us'.$id.'">Анкета '.$ank['login'].'</a> | Перевод стронгов</div>';

if(isset($_POST['summ'])){
    
$summ = abs(intval($_POST['summ']));
if(empty($summ)) {
echo err('Вы не ввели сумму перевода!');
require_once ('../system/footer.php'); exit;
}

if($user['money'] < $summ){
echo err('У вас не достаточно стронгов для перевода!');
require_once ('../system/footer.php'); exit;
} 
 
mysql_query("UPDATE `users` SET `money` = `money` + ".$summ." WHERE `id` = '".$id."'");
mysql_query("UPDATE `users` SET  `money` =  `money` - ".$summ." WHERE  `id` = '".$user['id']."'");

echo '<div class="podmenu"><center><b>Перевод успешен!</b></center></div>';
require_once ('../system/footer.php'); exit;
}
echo '<div class="podmenu"><form action="" method="POST">
Сумма превода:<br/> <input type="text" name="summ" /> <br />

<input type="submit" name="submit" value="Перевести" />
</form></div>';



//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>